Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/iodef.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/iodef.xml	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/iodef.xml	(revision 1728)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+
 <simulation>
 
@@ -6,5 +7,5 @@
 
       <variable id="timestep"> 1h </variable>
-      <variable id="domain"> lmdz </variable>
+      <variable id="domain"> atm::domain </variable>
       <variable id="domain_mask"> true </variable>
       <variable id="axis_mask"> true </variable>
@@ -45,7 +46,7 @@
     <variable_definition>
       <variable_group id="buffer">
-	<variable id="min_buffer_size" type="int">10000000</variable>
-	<variable id="optimal_buffer_size" type="string">performance</variable>
-	<variable id="buffer_factor_size" type="double">0.8</variable> 
+  <variable id="min_buffer_size" type="int">10000000</variable>
+  <variable id="optimal_buffer_size" type="string">performance</variable>
+  <variable id="buffer_factor_size" type="double">0.8</variable> 
       </variable_group>
 
@@ -54,7 +55,7 @@
         <variable id="info_level" type="int">100</variable>
         <variable id="print_file" type="bool">true</variable>
-        <variable id="using_server2" type="bool">false</variable>
-        <variable id="ratio_server2" type="int">50</variable>
-        <variable id="number_pools_server2" type="int">1</variable>
+        <variable id="using_server2" type="bool">xios::usingSrv2</variable>
+        <variable id="ratio_server2" type="int">xios::ratioSrv2</variable>
+        <variable id="number_pools_server2" type="int">xios::nbplSrv2</variable>
         <variable id="pure_one_sided" type="bool">false</variable>
         <variable id="check_event_sync" type="bool">true</variable>
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/iodef.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/iodef.xml	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/iodef.xml	(revision 1728)
@@ -7,5 +7,5 @@
 
       <variable id="timestep"> 1h </variable>
-      <variable id="domain"> atm::domain </variable>
+      <variable id="domain"> lmdz </variable>
       <variable id="domain_mask"> true </variable>
       <variable id="axis_mask"> true </variable>
@@ -46,16 +46,16 @@
     <variable_definition>
       <variable_group id="buffer">
-	<variable id="min_buffer_size" type="int">10000000</variable>
-	<variable id="optimal_buffer_size" type="string">performance</variable>
-	<variable id="buffer_factor_size" type="double">0.8</variable> 
+  <variable id="min_buffer_size" type="int">10000000</variable>
+  <variable id="optimal_buffer_size" type="string">performance</variable>
+  <variable id="buffer_factor_size" type="double">0.8</variable> 
       </variable_group>
 
       <variable_group id="parameters" >
-        <variable id="using_server" type="bool">xios::usingSrv2</variable>
+        <variable id="using_server" type="bool">true</variable>
         <variable id="info_level" type="int">100</variable>
         <variable id="print_file" type="bool">true</variable>
-        <variable id="using_server2" type="bool">false</variable>
-        <variable id="ratio_server2" type="int">xios::ratioSrv2</variable>
-        <variable id="number_pools_server2" type="int">xios::nbplSrv2</variable>
+        <variable id="using_server2" type="bool">true</variable>
+        <variable id="ratio_server2" type="int">50</variable>
+        <variable id="number_pools_server2" type="int">1</variable>
         <variable id="pure_one_sided" type="bool">false</variable>
         <variable id="check_event_sync" type="bool">true</variable>
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh	(revision 1728)
@@ -8,4 +8,5 @@
 yes | cp ../default_param.py default_param.py
 
+yes | cp ../iodef.xml iodef.xml
 
 # Black        0;30     Dark Gray     1;30
@@ -55,4 +56,5 @@
 if [[ ($machine_name == irene) ]]
 then
+    echo "Testing on Irene"
     ccc_mprun -n $nb_proc ../../build_prod/bin/generic_testcase.exe
 elif [[($machine_name == ada)]]
@@ -64,6 +66,19 @@
     echo "Testing on Jean-Zay" 
     srun -n $nb_proc --mpi=pmi2 ../../build_prod/bin/generic_testcase.exe
+    if [ $? -ne 0 ]
+    	then
+    		echo "execution failed"
+            rm -f iodef.xml
+            mv iodef.xml.bkp iodef.xml
+            rm -f default_param.py
+            rm -f default_param.pyc
+            rm -f user_param.pyc
+            rm -f user_param.py.*
+            rm -f sub_*.py
+    		exit 1234
+    fi
 else
     echo "other machine"
+    exit 1234
 fi
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/iodef.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/iodef.xml	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/iodef.xml	(revision 1728)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+
 <simulation>
 
@@ -45,7 +46,7 @@
     <variable_definition>
       <variable_group id="buffer">
-	<variable id="min_buffer_size" type="int">10000000</variable>
-	<variable id="optimal_buffer_size" type="string">performance</variable>
-	<variable id="buffer_factor_size" type="double">0.8</variable> 
+  <variable id="min_buffer_size" type="int">10000000</variable>
+  <variable id="optimal_buffer_size" type="string">performance</variable>
+  <variable id="buffer_factor_size" type="double">0.8</variable> 
       </variable_group>
 
@@ -54,5 +55,5 @@
         <variable id="info_level" type="int">100</variable>
         <variable id="print_file" type="bool">true</variable>
-        <variable id="using_server2" type="bool">false</variable>
+        <variable id="using_server2" type="bool">true</variable>
         <variable id="ratio_server2" type="int">50</variable>
         <variable id="number_pools_server2" type="int">1</variable>
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_domain_algo/run_sub_test.sh	(revision 1728)
@@ -8,4 +8,5 @@
 yes | cp ../default_param.py default_param.py
 
+yes | cp ../iodef.xml iodef.xml
 
 # Black        0;30     Dark Gray     1;30
@@ -55,4 +56,5 @@
 if [[ ($machine_name == irene) ]]
 then
+    echo "Testing on Irene"
     ccc_mprun -n $nb_proc ../../build_prod/bin/generic_testcase.exe
 elif [[($machine_name == ada)]]
@@ -64,6 +66,19 @@
     echo "Testing on Jean-Zay" 
     srun -n $nb_proc --mpi=pmi2 ../../build_prod/bin/generic_testcase.exe
+    if [ $? -ne 0 ]
+      then
+        echo "execution failed"
+        rm -f iodef.xml
+        mv iodef.xml.bkp iodef.xml
+        rm -f default_param.py
+        rm -f default_param.pyc
+        rm -f user_param.pyc
+        rm -f user_param.py.*
+        rm -f sub_*.py
+        exit 1234
+    fi
 else
     echo "other machine"
+    exit 1234
 fi
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/checkfile.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/checkfile.def	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/checkfile.def	(revision 1728)
@@ -1,3 +1,3 @@
 
 atm_output.nc
-atm_output_ensemble.nc
+#atm_output_ensemble.nc
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/context_atm.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/context_atm.xml	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/context_atm.xml	(revision 1728)
@@ -367,25 +367,25 @@
      <file id="atm_output" output_freq="4ts" enabled="true" >
        
-       <field field_ref="field2D" operation="average"/>
-       <field field_ref="field3D" operation="average"/>
-       <field field_ref="pressure" operation="average" />
-       <field field_ref="field3D_recv" operation="average" />
-       <field field_ref="field3D_resend" operation="average" />
+       <field field_ref="field2D" operation="average" enabled="true"/>
+       <field field_ref="field3D" operation="average" enabled="false"/>
+       <field field_ref="pressure" operation="average" enabled="false"/>
+       <field field_ref="field3D_recv" operation="average" enabled="false"/>
+       <field field_ref="field3D_resend" operation="average" enabled="false"/>
        
-       <field field_ref="field_X" operation="average" />
-       <field field_ref="field_Y" operation="average" />
-       <field field_ref="field_Z" operation="average" />
-       <field field_ref="field_XY" operation="average" />
-       <field field_ref="field_XYZ" operation="average" />
-       <field field_ref="field_XZ" operation="average" />
-       <field field_ref="field_YZ" operation="average" />
+       <!-- <field field_ref="field_X" operation="average" enabled="true"/>
+       <field field_ref="field_Y" operation="average" enabled="true"/>
+       <field field_ref="field_Z" operation="average" enabled="true"/>
+       <field field_ref="field_XY" operation="average" enabled="true"/>
+       <field field_ref="field_XYZ" operation="average" enabled="true"/>
+       <field field_ref="field_XZ" operation="average" enabled="true"/>
+       <field field_ref="field_YZ" operation="average" enabled="true"/>
        
-       <field field_ref="field_zoom_vert" operation="average" />
-       <field field_ref="field_zoom_vert_sum" operation="average" />
+       <field field_ref="field_zoom_vert" operation="average" enabled="true"/>
+       <field field_ref="field_zoom_vert_sum" operation="average" enabled="true"/> -->
        
     </file>
 
 
-    <file id="atm_output_ensemble" output_freq="4ts" enabled="true">
+    <file id="atm_output_ensemble" output_freq="4ts" enabled="false">
        <field field_ref="field2D_W" operation="average" />
        <field field_ref="field3D_W" operation="average" />
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/iodef.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/iodef.xml	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/iodef.xml	(revision 1728)
@@ -46,14 +46,14 @@
     <variable_definition>
       <variable_group id="buffer">
-	<variable id="min_buffer_size" type="int">10000000</variable>
-	<variable id="optimal_buffer_size" type="string">performance</variable>
-	<variable id="buffer_factor_size" type="double">0.8</variable> 
+  <variable id="min_buffer_size" type="int">10000000</variable>
+  <variable id="optimal_buffer_size" type="string">performance</variable>
+  <variable id="buffer_factor_size" type="double">0.8</variable> 
       </variable_group>
 
       <variable_group id="parameters" >
-        <variable id="using_server" type="bool">false</variable>
+        <variable id="using_server" type="bool">true</variable>
         <variable id="info_level" type="int">100</variable>
         <variable id="print_file" type="bool">true</variable>
-        <variable id="using_server2" type="bool">false</variable>
+        <variable id="using_server2" type="bool">true</variable>
         <variable id="ratio_server2" type="int">50</variable>
         <variable id="number_pools_server2" type="int">1</variable>
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/run_sub_test.sh	(revision 1728)
@@ -7,4 +7,10 @@
 yes | cp ../../check.py sub_check.py
 yes | cp ../../default_param.py default_param.py
+
+rm -f iodef.xml
+rm -f iodef.xml.bkp
+rm -f iodef.xml.tmp
+
+yes | cp ../../iodef.xml iodef.xml
 
 
@@ -55,4 +61,5 @@
 if [[ ($machine_name == irene) ]]
 then
+    echo "Testing on Irene"
     ccc_mprun -n $nb_proc ../../../build_prod/bin/generic_testcase.exe
 elif [[($machine_name == ada)]]
@@ -63,7 +70,29 @@
 then
     echo "Testing on Jean-Zay" 
-    srun -n $nb_proc --mpi=pmi2 ../../../build_prod/bin/generic_testcase.exe
+    if [[($debug == true)]]
+    then 
+      echo "in debug mode ..."
+      ddt --connect srun -n $nb_proc --mpi=pmi2 ../../../build_debug/bin/generic_testcase.exe
+    else
+      echo "in prod mode ..."
+      #srun -n $nb_proc --mpi=pmi2 ../../../build_trunk/bin/generic_testcase.exe
+      srun -n $nb_proc --mpi=pmi2 ../../../build_prod/bin/generic_testcase.exe
+      #srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf
+      if [ $? -ne 0 ]
+      then
+        echo "execution failed"
+            rm -f iodef.xml
+            mv iodef.xml.bkp iodef.xml
+            rm -f default_param.py
+            rm -f default_param.pyc
+            rm -f user_param.pyc
+            rm -f user_param.py.*
+            rm -f sub_*.py
+        exit 1234
+      fi
+    fi
 else
     echo "other machine"
+    exit 1234
 fi
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/user_params.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/user_params.def	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/user_params.def	(revision 1728)
@@ -11,5 +11,5 @@
 # e.g. NumberServers = 2, 4, 8  
 
-NumberServers = 2, 4
-UsingServer2 = 'false'
+NumberServers = 4, 2
+UsingServer2 = 'true', 'false'
 ATMdomain = 'lmdz'
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/checkfile.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/checkfile.def	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/checkfile.def	(revision 1728)
@@ -1,3 +1,3 @@
 
 atm_output.nc
-atm_output_ensemble.nc
+#atm_output_ensemble.nc
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/context_atm.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/context_atm.xml	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/context_atm.xml	(revision 1728)
@@ -365,27 +365,27 @@
     
 
-    <file id="atm_output" output_freq="4ts" enabled="true" >
+     <file id="atm_output" output_freq="4ts" enabled="true" >
        
-       <field field_ref="field2D" operation="maximum"/>
-       <field field_ref="field3D" operation="maximum"/>
-       <field field_ref="pressure" operation="maximum" />
-       <field field_ref="field3D_recv" operation="maximum" />
-       <field field_ref="field3D_resend" operation="maximum" />
+       <field field_ref="field2D" operation="maximum" enabled="true"/>
+       <field field_ref="field3D" operation="maximum" enabled="false"/>
+       <field field_ref="pressure" operation="maximum" enabled="false"/>
+       <field field_ref="field3D_recv" operation="maximum" enabled="false"/>
+       <field field_ref="field3D_resend" operation="maximum" enabled="false"/>
        
-       <field field_ref="field_X" operation="maximum" />
-       <field field_ref="field_Y" operation="maximum" />
-       <field field_ref="field_Z" operation="maximum" />
-       <field field_ref="field_XY" operation="maximum" />
-       <field field_ref="field_XYZ" operation="maximum" />
-       <field field_ref="field_XZ" operation="maximum" />
-       <field field_ref="field_YZ" operation="maximum" />
+       <!-- <field field_ref="field_X" operation="maximum" enabled="true"/>
+       <field field_ref="field_Y" operation="maximum" enabled="true"/>
+       <field field_ref="field_Z" operation="maximum" enabled="true"/>
+       <field field_ref="field_XY" operation="maximum" enabled="true"/>
+       <field field_ref="field_XYZ" operation="maximum" enabled="true"/>
+       <field field_ref="field_XZ" operation="maximum" enabled="true"/>
+       <field field_ref="field_YZ" operation="maximum" enabled="true"/>
        
-       <field field_ref="field_zoom_vert" operation="maximum" />
-       <field field_ref="field_zoom_vert_sum" operation="maximum" />
+       <field field_ref="field_zoom_vert" operation="maximum" enabled="true"/>
+       <field field_ref="field_zoom_vert_sum" operation="maximum" enabled="true"/> -->
        
     </file>
 
 
-    <file id="atm_output_ensemble" output_freq="4ts" enabled="true">
+    <file id="atm_output_ensemble" output_freq="4ts" enabled="false">
        <field field_ref="field2D_W" operation="maximum" />
        <field field_ref="field3D_W" operation="maximum" />
@@ -415,5 +415,5 @@
        <field field_ref="other_field_YZ" enabled="false"/>
     </file>
-
+    
 
     <file id="atm_output_reorder" output_freq="1ts" enabled="false" >
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/iodef.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/iodef.xml	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/iodef.xml	(revision 1728)
@@ -7,5 +7,5 @@
 
       <variable id="timestep"> 1h </variable>
-      <variable id="domain"> atm::domain </variable>
+      <variable id="domain"> lmdz </variable>
       <variable id="domain_mask"> true </variable>
       <variable id="axis_mask"> true </variable>
@@ -46,16 +46,16 @@
     <variable_definition>
       <variable_group id="buffer">
-	<variable id="min_buffer_size" type="int">10000000</variable>
-	<variable id="optimal_buffer_size" type="string">performance</variable>
-	<variable id="buffer_factor_size" type="double">0.8</variable> 
+  <variable id="min_buffer_size" type="int">10000000</variable>
+  <variable id="optimal_buffer_size" type="string">performance</variable>
+  <variable id="buffer_factor_size" type="double">0.8</variable> 
       </variable_group>
 
       <variable_group id="parameters" >
-        <variable id="using_server" type="bool">xios::usingSrv2</variable>
+        <variable id="using_server" type="bool">true</variable>
         <variable id="info_level" type="int">100</variable>
         <variable id="print_file" type="bool">true</variable>
         <variable id="using_server2" type="bool">false</variable>
-        <variable id="ratio_server2" type="int">xios::ratioSrv2</variable>
-        <variable id="number_pools_server2" type="int">xios::nbplSrv2</variable>
+        <variable id="ratio_server2" type="int">50</variable>
+        <variable id="number_pools_server2" type="int">1</variable>
         <variable id="pure_one_sided" type="bool">false</variable>
         <variable id="check_event_sync" type="bool">true</variable>
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/run_sub_test.sh	(revision 1728)
@@ -8,4 +8,9 @@
 yes | cp ../../default_param.py default_param.py
 
+rm -f iodef.xml
+rm -f iodef.xml.bkp
+rm -f iodef.xml.tmp
+
+yes | cp ../../iodef.xml iodef.xml
 
 # Black        0;30     Dark Gray     1;30
@@ -55,4 +60,5 @@
 if [[ ($machine_name == irene) ]]
 then
+    echo "Testing on Irene"
     ccc_mprun -n $nb_proc ../../../build_prod/bin/generic_testcase.exe
 elif [[($machine_name == ada)]]
@@ -63,7 +69,29 @@
 then
     echo "Testing on Jean-Zay" 
-    srun -n $nb_proc --mpi=pmi2 ../../../build_prod/bin/generic_testcase.exe
+    if [[($debug == true)]]
+    then 
+      echo "in debug mode ..."
+      ddt --connect srun -n $nb_proc --mpi=pmi2 ../../../build_debug/bin/generic_testcase.exe
+    else
+      echo "in prod mode ..."
+      #srun -n $nb_proc --mpi=pmi2 ../../../build_trunk/bin/generic_testcase.exe
+      srun -n $nb_proc --mpi=pmi2 ../../../build_prod/bin/generic_testcase.exe
+      #srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf
+      if [ $? -ne 0 ]
+      then
+        echo "execution failed"
+            rm -f iodef.xml
+            mv iodef.xml.bkp iodef.xml
+            rm -f default_param.py
+            rm -f default_param.pyc
+            rm -f user_param.pyc
+            rm -f user_param.py.*
+            rm -f sub_*.py
+        exit 1234
+      fi
+    fi
 else
     echo "other machine"
+    exit 1234
 fi
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/checkfile.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/checkfile.def	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/checkfile.def	(revision 1728)
@@ -1,3 +1,3 @@
 
 atm_output.nc
-atm_output_ensemble.nc
+#atm_output_ensemble.nc
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/context_atm.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/context_atm.xml	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/context_atm.xml	(revision 1728)
@@ -367,25 +367,25 @@
      <file id="atm_output" output_freq="4ts" enabled="true" >
        
-       <field field_ref="field2D" operation="minimum"/>
-       <field field_ref="field3D" operation="minimum"/>
-       <field field_ref="pressure" operation="minimum" />
-       <field field_ref="field3D_recv" operation="minimum" />
-       <field field_ref="field3D_resend" operation="minimum" />
+       <field field_ref="field2D" operation="minimum" enabled="true"/>
+       <field field_ref="field3D" operation="minimum" enabled="false"/>
+       <field field_ref="pressure" operation="minimum" enabled="false"/>
+       <field field_ref="field3D_recv" operation="minimum" enabled="false"/>
+       <field field_ref="field3D_resend" operation="minimum" enabled="false"/>
        
-       <field field_ref="field_X" operation="minimum" />
-       <field field_ref="field_Y" operation="minimum" />
-       <field field_ref="field_Z" operation="minimum" />
-       <field field_ref="field_XY" operation="minimum" />
-       <field field_ref="field_XYZ" operation="minimum" />
-       <field field_ref="field_XZ" operation="minimum" />
-       <field field_ref="field_YZ" operation="minimum" />
+       <!-- <field field_ref="field_X" operation="minimum" enabled="true"/>
+       <field field_ref="field_Y" operation="minimum" enabled="true"/>
+       <field field_ref="field_Z" operation="minimum" enabled="true"/>
+       <field field_ref="field_XY" operation="minimum" enabled="true"/>
+       <field field_ref="field_XYZ" operation="minimum" enabled="true"/>
+       <field field_ref="field_XZ" operation="minimum" enabled="true"/>
+       <field field_ref="field_YZ" operation="minimum" enabled="true"/>
        
-       <field field_ref="field_zoom_vert" operation="minimum" />
-       <field field_ref="field_zoom_vert_sum" operation="minimum" />
+       <field field_ref="field_zoom_vert" operation="minimum" enabled="true"/>
+       <field field_ref="field_zoom_vert_sum" operation="minimum" enabled="true"/> -->
        
     </file>
 
 
-    <file id="atm_output_ensemble" output_freq="4ts" enabled="true">
+    <file id="atm_output_ensemble" output_freq="4ts" enabled="false">
        <field field_ref="field2D_W" operation="minimum" />
        <field field_ref="field3D_W" operation="minimum" />
@@ -415,5 +415,4 @@
        <field field_ref="other_field_YZ" enabled="false"/>
     </file>
-
     
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/iodef.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/iodef.xml	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/iodef.xml	(revision 1728)
@@ -7,5 +7,5 @@
 
       <variable id="timestep"> 1h </variable>
-      <variable id="domain"> atm::domain </variable>
+      <variable id="domain"> lmdz </variable>
       <variable id="domain_mask"> true </variable>
       <variable id="axis_mask"> true </variable>
@@ -46,16 +46,16 @@
     <variable_definition>
       <variable_group id="buffer">
-	<variable id="min_buffer_size" type="int">10000000</variable>
-	<variable id="optimal_buffer_size" type="string">performance</variable>
-	<variable id="buffer_factor_size" type="double">0.8</variable> 
+  <variable id="min_buffer_size" type="int">10000000</variable>
+  <variable id="optimal_buffer_size" type="string">performance</variable>
+  <variable id="buffer_factor_size" type="double">0.8</variable> 
       </variable_group>
 
       <variable_group id="parameters" >
-        <variable id="using_server" type="bool">xios::usingSrv2</variable>
+        <variable id="using_server" type="bool">true</variable>
         <variable id="info_level" type="int">100</variable>
         <variable id="print_file" type="bool">true</variable>
         <variable id="using_server2" type="bool">false</variable>
-        <variable id="ratio_server2" type="int">xios::ratioSrv2</variable>
-        <variable id="number_pools_server2" type="int">xios::nbplSrv2</variable>
+        <variable id="ratio_server2" type="int">50</variable>
+        <variable id="number_pools_server2" type="int">1</variable>
         <variable id="pure_one_sided" type="bool">false</variable>
         <variable id="check_event_sync" type="bool">true</variable>
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/run_sub_test.sh	(revision 1728)
@@ -8,4 +8,9 @@
 yes | cp ../../default_param.py default_param.py
 
+rm -f iodef.xml
+rm -f iodef.xml.bkp
+rm -f iodef.xml.tmp
+
+yes | cp ../../iodef.xml iodef.xml
 
 # Black        0;30     Dark Gray     1;30
@@ -55,4 +60,5 @@
 if [[ ($machine_name == irene) ]]
 then
+    echo "Testing on Irene"
     ccc_mprun -n $nb_proc ../../../build_prod/bin/generic_testcase.exe
 elif [[($machine_name == ada)]]
@@ -63,7 +69,29 @@
 then
     echo "Testing on Jean-Zay" 
-    srun -n $nb_proc --mpi=pmi2 ../../../build_prod/bin/generic_testcase.exe
+    if [[($debug == true)]]
+    then 
+      echo "in debug mode ..."
+      ddt --connect srun -n $nb_proc --mpi=pmi2 ../../../build_debug/bin/generic_testcase.exe
+    else
+      echo "in prod mode ..."
+      #srun -n $nb_proc --mpi=pmi2 ../../../build_trunk/bin/generic_testcase.exe
+      srun -n $nb_proc --mpi=pmi2 ../../../build_prod/bin/generic_testcase.exe
+      #srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf
+      if [ $? -ne 0 ]
+      then
+        echo "execution failed"
+            rm -f iodef.xml
+            mv iodef.xml.bkp iodef.xml
+            rm -f default_param.py
+            rm -f default_param.pyc
+            rm -f user_param.pyc
+            rm -f user_param.py.*
+            rm -f sub_*.py
+        exit 1234
+      fi
+    fi
 else
     echo "other machine"
+    exit 1234
 fi
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/checkfile.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/checkfile.def	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/checkfile.def	(revision 1728)
@@ -1,3 +1,3 @@
 
 atm_output.nc
-atm_output_ensemble.nc
+#atm_output_ensemble.nc
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/context_atm.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/context_atm.xml	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/context_atm.xml	(revision 1728)
@@ -365,27 +365,27 @@
     
 
-    <file id="atm_output" output_freq="4ts" enabled="true" >
+     <file id="atm_output" output_freq="4ts" enabled="true" >
        
-       <field field_ref="field2D" operation="accumulate"/>
-       <field field_ref="field3D" operation="accumulate"/>
-       <field field_ref="pressure" operation="accumulate" />
-       <field field_ref="field3D_recv" operation="accumulate" />
-       <field field_ref="field3D_resend" operation="accumulate" />
+       <field field_ref="field2D" operation="accumulate" enabled="true"/>
+       <field field_ref="field3D" operation="accumulate" enabled="false"/>
+       <field field_ref="pressure" operation="accumulate" enabled="false"/>
+       <field field_ref="field3D_recv" operation="accumulate" enabled="false"/>
+       <field field_ref="field3D_resend" operation="accumulate" enabled="false"/>
        
-       <field field_ref="field_X" operation="accumulate" />
-       <field field_ref="field_Y" operation="accumulate" />
-       <field field_ref="field_Z" operation="accumulate" />
-       <field field_ref="field_XY" operation="accumulate" />
-       <field field_ref="field_XYZ" operation="accumulate" />
-       <field field_ref="field_XZ" operation="accumulate" />
-       <field field_ref="field_YZ" operation="accumulate" />
+       <!-- <field field_ref="field_X" operation="accumulate" enabled="true"/>
+       <field field_ref="field_Y" operation="accumulate" enabled="true"/>
+       <field field_ref="field_Z" operation="accumulate" enabled="true"/>
+       <field field_ref="field_XY" operation="accumulate" enabled="true"/>
+       <field field_ref="field_XYZ" operation="accumulate" enabled="true"/>
+       <field field_ref="field_XZ" operation="accumulate" enabled="true"/>
+       <field field_ref="field_YZ" operation="accumulate" enabled="true"/>
        
-       <field field_ref="field_zoom_vert" operation="accumulate" />
-       <field field_ref="field_zoom_vert_sum" operation="accumulate" />
+       <field field_ref="field_zoom_vert" operation="accumulate" enabled="true"/>
+       <field field_ref="field_zoom_vert_sum" operation="accumulate" enabled="true"/> -->
        
     </file>
 
 
-    <file id="atm_output_ensemble" output_freq="4ts" enabled="true">
+    <file id="atm_output_ensemble" output_freq="4ts" enabled="false">
        <field field_ref="field2D_W" operation="accumulate" />
        <field field_ref="field3D_W" operation="accumulate" />
@@ -415,5 +415,4 @@
        <field field_ref="other_field_YZ" enabled="false"/>
     </file>
-
     
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/iodef.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/iodef.xml	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/iodef.xml	(revision 1728)
@@ -7,5 +7,5 @@
 
       <variable id="timestep"> 1h </variable>
-      <variable id="domain"> atm::domain </variable>
+      <variable id="domain"> lmdz </variable>
       <variable id="domain_mask"> true </variable>
       <variable id="axis_mask"> true </variable>
@@ -46,16 +46,16 @@
     <variable_definition>
       <variable_group id="buffer">
-	<variable id="min_buffer_size" type="int">10000000</variable>
-	<variable id="optimal_buffer_size" type="string">performance</variable>
-	<variable id="buffer_factor_size" type="double">0.8</variable> 
+  <variable id="min_buffer_size" type="int">10000000</variable>
+  <variable id="optimal_buffer_size" type="string">performance</variable>
+  <variable id="buffer_factor_size" type="double">0.8</variable> 
       </variable_group>
 
       <variable_group id="parameters" >
-        <variable id="using_server" type="bool">xios::usingSrv2</variable>
+        <variable id="using_server" type="bool">true</variable>
         <variable id="info_level" type="int">100</variable>
         <variable id="print_file" type="bool">true</variable>
         <variable id="using_server2" type="bool">false</variable>
-        <variable id="ratio_server2" type="int">xios::ratioSrv2</variable>
-        <variable id="number_pools_server2" type="int">xios::nbplSrv2</variable>
+        <variable id="ratio_server2" type="int">50</variable>
+        <variable id="number_pools_server2" type="int">1</variable>
         <variable id="pure_one_sided" type="bool">false</variable>
         <variable id="check_event_sync" type="bool">true</variable>
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/run_sub_test.sh	(revision 1728)
@@ -8,4 +8,9 @@
 yes | cp ../../default_param.py default_param.py
 
+rm -f iodef.xml
+rm -f iodef.xml.bkp
+rm -f iodef.xml.tmp
+
+yes | cp ../../iodef.xml iodef.xml
 
 # Black        0;30     Dark Gray     1;30
@@ -55,4 +60,5 @@
 if [[ ($machine_name == irene) ]]
 then
+    echo "Testing on Irene"
     ccc_mprun -n $nb_proc ../../../build_prod/bin/generic_testcase.exe
 elif [[($machine_name == ada)]]
@@ -63,7 +69,29 @@
 then
     echo "Testing on Jean-Zay" 
-    srun -n $nb_proc --mpi=pmi2 ../../../build_prod/bin/generic_testcase.exe
+    if [[($debug == true)]]
+    then 
+      echo "in debug mode ..."
+      ddt --connect srun -n $nb_proc --mpi=pmi2 ../../../build_debug/bin/generic_testcase.exe
+    else
+      echo "in prod mode ..."
+      #srun -n $nb_proc --mpi=pmi2 ../../../build_trunk/bin/generic_testcase.exe
+      srun -n $nb_proc --mpi=pmi2 ../../../build_prod/bin/generic_testcase.exe
+      #srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf
+      if [ $? -ne 0 ]
+      then
+        echo "execution failed"
+            rm -f iodef.xml
+            mv iodef.xml.bkp iodef.xml
+            rm -f default_param.py
+            rm -f default_param.pyc
+            rm -f user_param.pyc
+            rm -f user_param.py.*
+            rm -f sub_*.py
+        exit 1234
+      fi
+    fi
 else
     echo "other machine"
+    exit 1234
 fi
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/iodef.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/iodef.xml	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/iodef.xml	(revision 1728)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+
 <simulation>
 
@@ -45,7 +46,7 @@
     <variable_definition>
       <variable_group id="buffer">
-	<variable id="min_buffer_size" type="int">10000000</variable>
-	<variable id="optimal_buffer_size" type="string">performance</variable>
-	<variable id="buffer_factor_size" type="double">0.8</variable> 
+  <variable id="min_buffer_size" type="int">10000000</variable>
+  <variable id="optimal_buffer_size" type="string">performance</variable>
+  <variable id="buffer_factor_size" type="double">0.8</variable> 
       </variable_group>
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_grid_algo/run_sub_test.sh	(revision 1728)
@@ -8,4 +8,5 @@
 yes | cp ../default_param.py default_param.py
 
+yes | cp ../iodef.xml iodef.xml
 
 # Black        0;30     Dark Gray     1;30
@@ -55,4 +56,5 @@
 if [[ ($machine_name == irene) ]]
 then
+	  echo "Testing on Irene"
     ccc_mprun -n $nb_proc ../../build_prod/bin/generic_testcase.exe
 elif [[($machine_name == ada)]]
@@ -64,6 +66,19 @@
     echo "Testing on Jean-Zay" 
     srun -n $nb_proc --mpi=pmi2 ../../build_prod/bin/generic_testcase.exe
+    if [ $? -ne 0 ]
+    	then
+    		echo "execution failed"
+            rm -f iodef.xml
+            mv iodef.xml.bkp iodef.xml
+            rm -f default_param.py
+            rm -f default_param.pyc
+            rm -f user_param.pyc
+            rm -f user_param.py.*
+            rm -f sub_*.py
+    		exit 1234
+    fi
 else
     echo "other machine"
+    exit 1234
 fi
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/iodef.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/iodef.xml	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/iodef.xml	(revision 1728)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+
 <simulation>
 
@@ -45,7 +46,7 @@
     <variable_definition>
       <variable_group id="buffer">
-	<variable id="min_buffer_size" type="int">10000000</variable>
-	<variable id="optimal_buffer_size" type="string">performance</variable>
-	<variable id="buffer_factor_size" type="double">0.8</variable> 
+  <variable id="min_buffer_size" type="int">10000000</variable>
+  <variable id="optimal_buffer_size" type="string">performance</variable>
+  <variable id="buffer_factor_size" type="double">0.8</variable> 
       </variable_group>
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1727)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_scalar_algo/run_sub_test.sh	(revision 1728)
@@ -8,4 +8,5 @@
 yes | cp ../default_param.py default_param.py
 
+yes | cp ../iodef.xml iodef.xml
 
 # Black        0;30     Dark Gray     1;30
@@ -55,4 +56,5 @@
 if [[ ($machine_name == irene) ]]
 then
+	  echo "Testing on Irene"
     ccc_mprun -n $nb_proc ../../build_prod/bin/generic_testcase.exe
 elif [[($machine_name == ada)]]
@@ -64,6 +66,19 @@
     echo "Testing on Jean-Zay" 
     srun -n $nb_proc --mpi=pmi2 ../../build_prod/bin/generic_testcase.exe
+    if [ $? -ne 0 ]
+    	then
+    		echo "execution failed"
+            rm -f iodef.xml
+            mv iodef.xml.bkp iodef.xml
+            rm -f default_param.py
+            rm -f default_param.pyc
+            rm -f user_param.pyc
+            rm -f user_param.py.*
+            rm -f sub_*.py
+    		exit 1234
+    fi
 else
     echo "other machine"
+    exit 1234
 fi
 
